Bug 10457 - vfs_mediaharmony causes crash
vfs_mediaharmony causes crash
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.1.4
x64 Linux
: P5 normal
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 12:22 UTC by lp24db
Modified: 2015-03-27 20:35 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lp24db 2014-02-20 12:22:39 UTC
Hi.

i use latest stable 4.1.4 samba with ctdb 2.5.2 as a three node cluster. Samba itself , even the cluster works fine, but when i configure one share with vfs_mediaharmony module, smbd throws a trace. This happen only if the mediaharmony share contains a folder named "Avid MediaFiles". If i delete that folder, everything works.

sambalog:

[2014/02/20 13:22:56.064173,  0] ../source3/lib/dumpcore.c:317(dump_core)
  dumping core in /usr/local/samba/var/cores/smbd
[2014/02/20 13:22:56.313753,  0] ../lib/util/fault.c:72(fault_report)
  ===============================================================
[2014/02/20 13:22:56.313963,  0] ../lib/util/fault.c:73(fault_report)
  INTERNAL ERROR: Signal 11 in pid 16909 (4.1.4)
  Please read the Trouble-Shooting section of the Samba HOWTO
[2014/02/20 13:22:56.314058,  0] ../lib/util/fault.c:75(fault_report)
  ===============================================================
[2014/02/20 13:22:56.314132,  0] ../source3/lib/util.c:785(smb_panic_s3)
  PANIC (pid 16909): internal error
[2014/02/20 13:22:56.315285,  0] ../source3/lib/util.c:896(log_stack_trace)
  BACKTRACE: 31 stack frames:
   #0 /usr/local/samba/lib/libsmbconf.so.0(log_stack_trace+0x1f) [0x7f52b50a1282]
   #1 /usr/local/samba/lib/libsmbconf.so.0(smb_panic_s3+0x6c) [0x7f52b50a10fb]
   #2 /usr/local/samba/lib/libsamba-util.so.0(smb_panic+0x28) [0x7f52b6b2b17f]
   #3 /usr/local/samba/lib/libsamba-util.so.0(+0x1de87) [0x7f52b6b2ae87]
   #4 /usr/local/samba/lib/libsamba-util.so.0(+0x1de9c) [0x7f52b6b2ae9c]
   #5 /lib/x86_64-linux-gnu/libpthread.so.0(+0xf030) [0x7f52b6d58030]
   #6 /usr/local/samba/lib/private/libsmbd_base.so(+0x273456) [0x7f52b67cc456]
   #7 /usr/local/samba/lib/private/libsmbd_base.so(smb_vfs_call_is_offline+0x55) [0x7f52b66b002c]
   #8 /usr/local/samba/lib/vfs/media_harmony.so(+0x723f) [0x7f52a4de523f]
   #9 /usr/local/samba/lib/private/libsmbd_base.so(smb_vfs_call_is_offline+0x55) [0x7f52b66b002c]
   #10 /usr/local/samba/lib/private/libsmbd_base.so(dos_mode+0x187) [0x7f52b66940b9]
   #11 /usr/local/samba/lib/private/libsmbd_base.so(+0x11c656) [0x7f52b6675656]
   #12 /usr/local/samba/lib/private/libsmbd_base.so(smbd_dirptr_get_entry+0x410) [0x7f52b662b225]
   #13 /usr/local/samba/lib/private/libsmbd_base.so(smbd_dirptr_lanman2_entry+0x1ad) [0x7f52b6679020]
   #14 /usr/local/samba/lib/private/libsmbd_base.so(+0x1a793e) [0x7f52b670093e]
   #15 /usr/local/samba/lib/private/libsmbd_base.so(smbd_smb2_request_process_find+0x5e5) [0x7f52b66ffbad]
   #16 /usr/local/samba/lib/private/libsmbd_base.so(smbd_smb2_request_dispatch+0x102b) [0x7f52b66e78f9]
   #17 /usr/local/samba/lib/private/libsmbd_base.so(+0x191fd9) [0x7f52b66eafd9]
   #18 /usr/local/samba/lib/private/libsmbd_base.so(+0x1920eb) [0x7f52b66eb0eb]
   #19 /usr/local/samba/lib/libsmbconf.so.0(run_events_poll+0x55f) [0x7f52b50c8916]
   #20 /usr/local/samba/lib/libsmbconf.so.0(+0x50be2) [0x7f52b50c8be2]
   #21 /usr/local/samba/lib/private/libtevent.so.0(_tevent_loop_once+0xf4) [0x7f52b634c492]
   #22 /usr/local/samba/lib/private/libsmbd_base.so(smbd_process+0x1455) [0x7f52b66c9a5e]
   #23 /usr/local/samba/sbin/smbd() [0x409fe9]
   #24 /usr/local/samba/lib/libsmbconf.so.0(run_events_poll+0x55f) [0x7f52b50c8916]
   #25 /usr/local/samba/lib/libsmbconf.so.0(+0x50be2) [0x7f52b50c8be2]
   #26 /usr/local/samba/lib/private/libtevent.so.0(_tevent_loop_once+0xf4) [0x7f52b634c492]
   #27 /usr/local/samba/sbin/smbd() [0x40ac69]
   #28 /usr/local/samba/sbin/smbd(main+0x1753) [0x40c50d]
   #29 /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xfd) [0x7f52b3940ead]
   #30 /usr/local/samba/sbin/smbd() [0x405db9]
[2014/02/20 13:22:56.316494,  0] ../source3/lib/dumpcore.c:317(dump_core)
  dumping core in /usr/local/samba/var/cores/smbd
Comment 1 lp24db 2014-02-20 12:30:45 UTC
I forgot:

Client system is AVID Mediacomposer 5.5 on Win7 64Bit. But i can reproduce this even on a Server2008R2 System.

if necessary, i can provide config or dump....

regards andy
Comment 2 Johan Els 2014-03-10 10:29:23 UTC
Hi,

I confirm same issue on version 4.1.5. As soon as I create any of the AVID files, the dump happens.

What is the last know stable version of the Media Harmony module?

Thank you,
Comment 3 lp24db 2014-03-10 15:11:36 UTC
(In reply to comment #2)
> Hi,
> 
> I confirm same issue on version 4.1.5. As soon as I create any of the AVID
> files, the dump happens.
> 
> What is the last know stable version of the Media Harmony module?
> 
> Thank you,

Hi Johan, i've rebuilded my cluster with 4.0.15. This version is working fine. I didn't tried the 4.0.16.

I can reproduce this bug with all 4.1.x relaeses, so 4.0.15 and maybe 4.0.16 will make it..

andy
Comment 4 NVieville 2014-09-19 07:33:52 UTC
Hello,

Sorry for the bump.

Same problem here on Debian Wheezy in the same case of creating "Avid MediaFiles" folder. Creating "Avid_MediaFiles" folder (note the underscore between the two words) is Ok for Samba, but not for Avid MediaComposer.

Samba Debian package not functional: 2:4.1.11+dfsg-1~bpo70+1

Add to revert to Samba Debian package 2:4.0.13+dfsg-1~bpo70+1 to be functional.

Hope this will help to catch this issue.

Cordially,


-- 
NVieville
Comment 5 lp24db 2014-09-19 07:41:40 UTC
Hi,

take a look at the latest Commits in media_harmony vfs_module. The bug has been fixed so it will take place in the next release (should be 4.1.13)...

There has been a pointer dereferencing issue....

I can confirm that the patch will fix the issue for me.

andy
Comment 6 NVieville 2014-09-19 12:05:03 UTC
(In reply to comment #5)
> take a look at the latest Commits in media_harmony vfs_module. The bug has been
> fixed so it will take place in the next release (should be 4.1.13)...
> 
> There has been a pointer dereferencing issue....
> 
> I can confirm that the patch will fix the issue for me.

Thanks for the tip. I'll wait for the 4.1.13 to land in Wheezy.

Cordially,


-- 
NVieville